Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           kvpnc
Url:            http://home.gna.org/kvpnc/
License:        GPL v2 or later
Group:          Networking
Summary:        GUI Front-End for openswan and vpnc
Version:        0.9.3
Release:        2
Source:         %{name}-%{version}-kde4.tar.bz2
Source1:        %{name}-%{version}-kde4-locale.tar.bz2
#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
The application can create configurations for various kinds of VPN
connections. You should also install the vpnc or openswan package.

%prep
%setup -q -n %{name}-%{version}-kde4 -a 1

%build
%cmake_kde4
make %{?_smp_mflags}
pushd $RPM_BUILD_DIR/%{name}-%{version}-kde4-locale
%cmake_kde4
make %{?_smp_mflags}
popd


%install
make install DESTDIR=$RPM_BUILD_ROOT

pushd $RPM_BUILD_DIR/%{name}-%{version}-kde4-locale
make install DESTDIR=$RPM_BUILD_ROOT
popd

%find_lang %name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{_datadir}/kde4/apps/kvpnc
%{_bindir}/kvpnc
%{_datadir}/applications/kde4
%{_datadir}/icons/*

%changelog
* Sat Oct 31 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.3-2
- add language package
* Sat Oct 31 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.3-1
- Initial CCux Linux release
